<?php
namespace App\Controllers;

use App\Models\LibrosModel;

class LibrosController extends BaseController
{
    public function index()
    {
        $model = new LibrosModel();

        // Obtener parámetros del buscador
        $search = $this->request->getGet('search');
        $category = $this->request->getGet('category');

        // Consulta de libros con filtros
        $query = $model->select('*');
        if ($search) {
            $query->like('titulo', $search)
                  ->orLike('autor', $search);
        }
        if ($category) {
            $query->where('categoria', $category);
        }

        // Datos de libros para la vista
        $data['title'] = 'Libros';
        $data['libros'] = $query->findAll();

        // Cargar vistas
        echo view('includes/header', $data);
        echo view('libros/index', $data);
        echo view('includes/footer');
    }
}
