<!-- includes/header.php -->
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <title><?= $title ?? 'Mi Sitio Web'; ?></title>
    <style>
        .navbar {
            background-color: rgb(19, 39, 60);
        }

        .navbar a,
        .navbar .dropdown-item {
            color: rgb(255, 255, 255) !important;
        }

        .navbar .dropdown-menu {
            background-color: rgb(19, 39, 60);
        }

        footer {
            background-color: #343A40;
            color: #fff;
        }

        footer a {
            color: rgb(68, 186, 245) !important;
        }

        /* Color del texto al pasar el cursor (hover) */
        .navbar a:hover,
        .navbar .dropdown-item:hover {
            color: rgb(68, 186, 245) !important;
            background-color: transparent;
        }

        /* Color del dropdown hover */
        .navbar .dropdown-menu .dropdown-item:hover {
            background-color: rgb(30, 50, 70);
            color: rgb(255, 255, 255) !important;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">
            <a class="navbar-brand" href="<?= base_url('inicio') ?>">
                <img src="http://localhost/fisicalab/public/logo/logo.png" alt="Logo" width="50" height="50">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <!-- Inicio -->
                    <li class="nav-item"><a class="nav-link" href="<?= base_url('inicio') ?>">Inicio</a></li>

                    <!-- Quiénes Somos -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">¿Quiénes
                            somos?</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item"
                                    href="<?= base_url('/quienes-somos/descripcion') ?>">Descripción</a></li>
                            <li><a class="dropdown-item"
                                    href="<?= base_url('/quienes-somos/creadores') ?>">Creadores</a></li>
                        </ul>
                    </li>
                    <!-- Libros -->
                    <li class="nav-item"><a href="<?= base_url('libros') ?>" class="nav-link">Libros </a></li>
                    <!-- Unidad I -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Unidad
                            I</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item"
                                    href="<?= base_url('/unidad-i/analisis-dimensional') ?>">Análisis Dimensional</a>
                            </li>
                            <li><a class="dropdown-item" href="<?= base_url('/unidad-i/analisis_vectorial') ?>">Análisis
                                    Vectorial</a>
                            </li>
                            <li><a class="dropdown-item" href="<?= base_url('/unidad-i/cinematica') ?>">Cinemática</a>
                            </li>
                            <li><a class="dropdown-item" href="<?= base_url('/unidad-i/estatica') ?>">Estatica</a>
                            </li>
                        </ul>
                    </li>

                    <!-- Unidad II -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Unidad
                            II</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="<?= base_url('/unidad-ii/dinamica') ?>">Dinámica</a></li>
                            <li><a class="dropdown-item" href="<?= base_url('/unidad-ii/trabajo-energia') ?>">Trabajo y
                                    Energía</a></li>
                        </ul>
                    </li>

                    <!-- Laboratorio -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button"
                            data-bs-toggle="dropdown">Laboratorio</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="<?= base_url('/laboratorio/informes') ?>">Informes</a>
                            </li>
                        </ul>
                    </li>

                    <!-- Recursos Extra -->
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown">Recursos
                            Extra</a>
                        <ul class="dropdown-menu">
                            <li><a class="dropdown-item" href="<?= base_url('/recursos/videos') ?>">Videos</a></li>
                            <li><a class="dropdown-item" href="<?= base_url('/recursos/codigos') ?>">Codigos</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container mt-4">