<div class="container mt-5">
    <h1 class="text-center mb-4">Informes de Laboratorio</h1>

    <?php 
    // Generar datos dinámicos de informes
    $experimentos = [
        'Experimento 1: Movimiento parabólico de un proyectil' => ['informe_1_1', 'informe_1_2', 'informe_1_3'],
        'Experimento 2: Equilibrio de fuerzas' => ['informe_2_1', 'informe_2_2', 'informe_2_3'],
        'Experimento 3: Teorema de trabajo y energía' => ['informe_3_1', 'informe_3_2', 'informe_3_3'],
        'Experimento 4: Conservacion del momento de colisiones' => ['informe_4_1', 'informe_4_2', 'informe_4_3']
    ];
    ?>

    <!-- Listado de Experimentos -->
    <?php foreach ($experimentos as $titulo => $informes): ?>
        <div class="mb-5">
            <h3><?= $titulo ?></h3>
            <div class="row text-center">
                <?php foreach ($informes as $informe): ?>
                    <div class="col-md-4 mb-3">
                        <!-- Portada del Informe -->
                        <img src="<?= base_url("ex_images/{$informe}.jpg") ?>" 
                             alt="Portada <?= $informe ?>" 
                             class="img-thumbnail" 
                             style="cursor: pointer; max-width: 250px;" 
                             data-bs-toggle="modal" 
                             data-bs-target="#<?= $informe ?>Modal">
                        <p class="mt-2"><strong><?= ucfirst(str_replace('_', ' ', $informe)) ?></strong></p>
                    </div>

                    <!-- Modal del Informe -->
                    <div class="modal fade" id="<?= $informe ?>Modal" tabindex="-1" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title"><?= ucfirst(str_replace('_', ' ', $informe)) ?></h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <!-- PDF Embed -->
                                    <embed src="<?= base_url("informes/{$informe}.pdf") ?>" 
                                           type="application/pdf" 
                                           width="100%" 
                                           height="500px" />
                                </div>
                                <div class="modal-footer">
                                    <a href="<?= base_url("informes/{$informe}.pdf") ?>" 
                                       class="btn btn-primary" target="_blank">Descargar PDF</a>
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    <?php endforeach; ?>
</div>
