<div class="container mt-5">
    <h1 class="text-center mb-4">Códigos de de programación</h1>

    <?php 
    // Lista de códigos
    $codigos = ['codigo_1', 'codigo_2', 'codigo_3'];
    ?>

    <!-- Listado de Códigos -->
    <div class="row text-center">
        <?php foreach ($codigos as $codigo): ?>
            <div class="col-md-4 mb-3">
                <!-- Portada del Código -->
                <img src="<?= base_url("codigos/{$codigo}.jpg") ?>" 
                     alt="Portada <?= $codigo ?>" 
                     class="img-thumbnail" 
                     style="cursor: pointer; max-width: 250px;" 
                     data-bs-toggle="modal" 
                     data-bs-target="#<?= $codigo ?>Modal">
                <p class="mt-2"><strong><?= ucfirst(str_replace('_', ' ', $codigo)) ?></strong></p>
            </div>

            <!-- Modal del Código -->
            <div class="modal fade" id="<?= $codigo ?>Modal" tabindex="-1" aria-hidden="true">
                <div class="modal-dialog modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title"><?= ucfirst(str_replace('_', ' ', $codigo)) ?></h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <!-- PDF Embed -->
                            <embed src="<?= base_url("codigos/{$codigo}.pdf") ?>" 
                                   type="application/pdf" 
                                   width="100%" 
                                   height="500px" />
                        </div>
                        <div class="modal-footer">
                            <!-- Botón de descarga directa -->
                            <a href="<?= base_url("codigos/{$codigo}.pdf") ?>" 
                               class="btn btn-primary" 
                               download>Descargar PDF</a>
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
                        </div>
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>
