<div class="container mt-5">
    <h1 class="text-center mb-4">Análisis Dimensional</h1>

    <!-- Teoría de Análisis Dimensional -->
    <div class="mb-4">
        <p>El análisis dimensional es una herramienta poderosa que permite verificar la consistencia de las ecuaciones
            físicas y simplificar problemas complejos mediante el uso de dimensiones fundamentales como longitud (L),
            masa (M), tiempo (T), etc.</p>
        <p>Las dimensiones básicas se expresan en términos de:</p>
        <ul>
            <li><strong>Longitud:</strong> [L]</li>
            <li><strong>Masa:</strong> [M]</li>
            <li><strong>Tiempo:</strong> [T]</li>
            <li><strong>Corriente eléctrica:</strong> [I]</li>
        </ul>
        <p>Mediante el principio de homogeneidad dimensional, toda ecuación física debe ser dimensionalmente
            consistente. Por ejemplo:</p>
        <p><em>Velocidad</em> = Longitud / Tiempo → [L] / [T] = [LT<sup>-1</sup>].</p>
    </div>

    <!-- Portada del PDF -->
    <h3>Ejercicios de Análisis Dimensional</h3>
    <div class="text-center">
        <img src="<?= base_url('images/ejercicios_analisis_dimensional.jpg') ?>" alt="Portada Ejercicios"
            class="img-thumbnail" style="max-width: 300px; cursor: pointer;" data-bs-toggle="modal"
            data-bs-target="#pdfModal">
        <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
    </div>
</div>

<!-- Modal para mostrar PDF -->
<div class="modal fade" id="pdfModal" tabindex="-1" aria-labelledby="pdfModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="pdfModalLabel">Ejercicios de Análisis Dimensional</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- Visualización del PDF -->
                <embed src="<?= base_url('documents/ejercicios_analisis_dimensional.pdf') ?>" type="application/pdf"
                    width="100%" height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/ejercicios_analisis_dimensional.pdf') ?>" class="btn btn-primary"
                    target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>