<div class="container mt-5">
    <h1 class="text-center mb-4">Análisis Vectorial</h1>

    <!-- Teoría de Análisis Vectorial -->
    <div class="mb-4">
        <p>
            El análisis vectorial es una rama del álgebra y el cálculo que estudia los campos vectoriales y sus aplicaciones. 
            Es crucial en física e ingeniería para describir magnitudes como fuerza, desplazamiento, y campos electromagnéticos.
        </p>
        <ul>
            <li><strong>Vectores:</strong> Entidades con magnitud, dirección y sentido.</li>
            <li><strong>Producto escalar:</strong> Multiplicación de dos vectores que da como resultado un escalar.</li>
            <li><strong>Producto vectorial:</strong> Operación que resulta en un vector perpendicular al plano de los vectores originales.</li>
            <li><strong>Gradiente, Divergencia y Rotacional:</strong> Herramientas fundamentales del análisis vectorial.</li>
        </ul>
    </div>

    <!-- Portada del PDF -->
    <h3>Ejercicios de Análisis Vectorial</h3>
    <div class="text-center">
        <img src="<?= base_url('images/ejercicios_analisis_vectorial.png') ?>" 
             alt="Portada Ejercicios" 
             class="img-thumbnail" 
             style="max-width: 300px; cursor: pointer;" 
             data-bs-toggle="modal" 
             data-bs-target="#pdfModal">
        <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
    </div>
</div>

<!-- Modal para mostrar el PDF -->
<div class="modal fade" id="pdfModal" tabindex="-1" aria-labelledby="pdfModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="pdfModalLabel">Ejercicios de Análisis Vectorial</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- Visualización del PDF -->
                <embed src="<?= base_url('documents/ejercicios_analisis_vectorial.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/ejercicios_analisis_vectorial.pdf') ?>" 
                   class="btn btn-primary" 
                   target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
