<div class="container mt-5">
    <h1 class="text-center mb-4">Cinemática</h1>

    <!-- Teoría de Cinemática -->
    <div class="mb-4">
        <p>
            La cinemática es la rama de la física que estudia el movimiento de los cuerpos sin considerar las causas que lo producen. 
            Se enfoca en describir magnitudes como la posición, la velocidad y la aceleración en función del tiempo.
        </p>
        <h4>Conceptos Clave de la Cinemática</h4>
        <ul>
            <li><strong>Posición:</strong> Ubicación de un objeto en el espacio en un instante determinado.</li>
            <li><strong>Desplazamiento:</strong> Cambio de posición de un objeto.</li>
            <li><strong>Velocidad:</strong> Tasa de cambio de posición respecto al tiempo.</li>
            <li><strong>Aceleración:</strong> Tasa de cambio de velocidad respecto al tiempo.</li>
        </ul>
        <p>Las ecuaciones fundamentales de la cinemática son útiles para resolver problemas de movimiento rectilíneo uniforme (MRU) y movimiento rectilíneo uniformemente acelerado (MRUA).</p>
    </div>

    <!-- Portada del PDF -->
    <h3>Ejercicios de Cinemática</h3>
    <div class="text-center">
        <img src="<?= base_url('images/cinematica.jpg') ?>" 
             alt="Portada Cinemática" 
             class="img-thumbnail" 
             style="max-width: 300px; cursor: pointer;" 
             data-bs-toggle="modal" 
             data-bs-target="#pdfModal">
        <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
    </div>
</div>

<!-- Modal para mostrar el PDF -->
<div class="modal fade" id="pdfModal" tabindex="-1" aria-labelledby="pdfModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="pdfModalLabel">Ejercicios de Cinemática</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- Visualización del PDF -->
                <embed src="<?= base_url('documents/cinematica.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/cinematica.pdf') ?>" 
                   class="btn btn-primary" 
                   target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
