<div class="container mt-5">
    <h1 class="text-center mb-4">Estática</h1>

    <!-- Teoría de Estática -->
    <div class="mb-4">
        <p>
            La estática es la rama de la mecánica que estudia los cuerpos en equilibrio, es decir, aquellos que están 
            en reposo o en movimiento rectilíneo uniforme bajo la acción de fuerzas equilibradas.
        </p>
        <h4>Principios Fundamentales de la Estática</h4>
        <ul>
            <li><strong>Equilibrio de Fuerzas:</strong> La suma vectorial de todas las fuerzas que actúan sobre un cuerpo es igual a cero.</li>
            <li><strong>Momento de Fuerza:</strong> La tendencia de una fuerza a rotar un cuerpo alrededor de un punto o eje.</li>
            <li><strong>Condición de Equilibrio:</strong> Para que un cuerpo esté en equilibrio, la suma de fuerzas y la suma de momentos deben ser cero.</li>
        </ul>
        <p>La estática es fundamental en el análisis de estructuras, como puentes, edificios y máquinas, donde se deben garantizar condiciones de equilibrio para su estabilidad.</p>
    </div>

    <!-- Portada del PDF -->
    <h3>Ejercicios de Estática</h3>
    <div class="text-center">
        <img src="<?= base_url('images/estatica.jpg') ?>" 
             alt="Portada Estática" 
             class="img-thumbnail" 
             style="max-width: 300px; cursor: pointer;" 
             data-bs-toggle="modal" 
             data-bs-target="#pdfModal">
        <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
    </div>
</div>

<!-- Modal para mostrar el PDF -->
<div class="modal fade" id="pdfModal" tabindex="-1" aria-labelledby="pdfModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="pdfModalLabel">Ejercicios de Estática</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- Visualización del PDF -->
                <embed src="<?= base_url('documents/estatica.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/estatica.pdf') ?>" 
                   class="btn btn-primary" 
                   target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
