<div class="container mt-5">
    <h1 class="text-center mb-4">Dinámica</h1>

    <!-- Teoría de Dinámica -->
    <div class="mb-4">
        <h4>Teoría de Dinámica</h4>
        <p>
            La dinámica es la parte de la mecánica que estudia las causas del movimiento y el equilibrio de los cuerpos, 
            considerando las fuerzas que actúan sobre ellos y sus efectos.
        </p>
        <p>La segunda ley de Newton establece que: <strong>Fuerza = Masa × Aceleración (F = ma)</strong>.</p>

        <h4>Dinámica en un Sistema de Partículas</h4>
        <p>
            Se refiere al análisis del movimiento de un sistema compuesto por múltiples partículas. 
            Se utilizan conceptos como el centro de masa y la conservación del momento lineal.
        </p>

        <h4>Dinámica Rotacional</h4>
        <p>
            La dinámica rotacional estudia el movimiento de cuerpos rígidos alrededor de un eje de rotación. 
            Se consideran magnitudes como el momento de inercia, el torque y la velocidad angular.
        </p>
    </div>

    <!-- Portadas de PDFs -->
    <h3 class="text-center mb-4">Ejercicios de Dinámica</h3>
    <div class="row text-center">
        <!-- Dinámica General -->
        <div class="col-md-4 mb-3">
            <img src="<?= base_url('images/dinamica_1.jpg') ?>" 
                 alt="Dinámica General" 
                 class="img-thumbnail" 
                 style="cursor: pointer; max-width: 250px;" 
                 data-bs-toggle="modal" 
                 data-bs-target="#dinamica1Modal">
            <p class="mt-2"><strong>Dinámica General</strong></p>
        </div>

        <!-- Dinámica en un Sistema de Partículas -->
        <div class="col-md-4 mb-3">
            <img src="<?= base_url('images/dinamica_particulas.jpg') ?>" 
                 alt="Dinámica en un Sistema de Partículas" 
                 class="img-thumbnail" 
                 style="cursor: pointer; max-width: 250px;" 
                 data-bs-toggle="modal" 
                 data-bs-target="#dinamicaParticulasModal">
            <p class="mt-2"><strong>Dinámica en un Sistema de Partículas</strong></p>
            <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
        </div>

        <!-- Dinámica Rotacional -->
        <div class="col-md-4 mb-3">
            <img src="<?= base_url('images/dinamica_rotacional.jpg') ?>" 
                 alt="Dinámica Rotacional" 
                 class="img-thumbnail" 
                 style="cursor: pointer; max-width: 250px;" 
                 data-bs-toggle="modal" 
                 data-bs-target="#dinamicaRotacionalModal">
            <p class="mt-2"><strong>Dinámica Rotacional</strong></p>
        </div>
    </div>
</div>

<!-- Modales -->
<!-- Modal 1: Dinámica General -->
<div class="modal fade" id="dinamica1Modal" tabindex="-1" aria-labelledby="dinamica1Label" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="dinamica1Label">Ejercicios de Dinámica General</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <embed src="<?= base_url('documents/dinamica_1.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/dinamica_1.pdf') ?>" class="btn btn-primary" target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal 2: Dinámica en un Sistema de Partículas -->
<div class="modal fade" id="dinamicaParticulasModal" tabindex="-1" aria-labelledby="dinamicaParticulasLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="dinamicaParticulasLabel">Ejercicios de Dinámica en un Sistema de Partículas</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <embed src="<?= base_url('documents/dinamica_particulas.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/dinamica_particulas.pdf') ?>" class="btn btn-primary" target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal 3: Dinámica Rotacional -->
<div class="modal fade" id="dinamicaRotacionalModal" tabindex="-1" aria-labelledby="dinamicaRotacionalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="dinamicaRotacionalLabel">Ejercicios de Dinámica Rotacional</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <embed src="<?= base_url('documents/dinamica_rotacional.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/dinamica_rotacional.pdf') ?>" class="btn btn-primary" target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
