<div class="container mt-5">
    <h1 class="text-center mb-4">Trabajo y Energía</h1>

    <!-- Teoría de Trabajo y Energía -->
    <div class="mb-4">
        <h4>Trabajo</h4>
        <p>
            En física, el trabajo se define como la transferencia de energía que se produce cuando una fuerza actúa sobre un cuerpo 
            y lo desplaza en la dirección de la fuerza. La expresión matemática es:
        </p>
        <p class="text-center">
            <strong>Trabajo = Fuerza × Desplazamiento × cos(θ)</strong>
        </p>
        <p>donde θ es el ángulo entre la fuerza y el desplazamiento.</p>

        <h4>Energía</h4>
        <p>
            La energía es la capacidad de realizar trabajo. Se clasifica en diferentes tipos:
        </p>
        <ul>
            <li><strong>Energía Cinética:</strong> Asociada al movimiento de un cuerpo (<em>Ek = ½ mv²</em>).</li>
            <li><strong>Energía Potencial:</strong> Depende de la posición de un cuerpo en un campo de fuerzas.</li>
            <li><strong>Conservación de la Energía:</strong> La energía total de un sistema aislado permanece constante.</li>
        </ul>

        <h4>Teorema Trabajo-Energía</h4>
        <p>
            El trabajo realizado por la suma de las fuerzas sobre un cuerpo es igual al cambio en su energía cinética:
        </p>
        <p class="text-center">
            <strong>Trabajo neto = ΔEnergía Cinética</strong>
        </p>
    </div>

    <!-- Portada del PDF -->
    <h3 class="text-center mb-4">Ejercicios de Trabajo y Energía</h3>
    <div class="text-center">
        <img src="<?= base_url('images/trabajo_energia.jpg') ?>" 
             alt="Portada Trabajo y Energía" 
             class="img-thumbnail" 
             style="cursor: pointer; max-width: 300px;" 
             data-bs-toggle="modal" 
             data-bs-target="#trabajoEnergiaModal">
        <p class="mt-2"><em>Haz clic en la imagen para ver los ejercicios</em></p>
    </div>
</div>

<!-- Modal para mostrar el PDF -->
<div class="modal fade" id="trabajoEnergiaModal" tabindex="-1" aria-labelledby="trabajoEnergiaLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="trabajoEnergiaLabel">Ejercicios de Trabajo y Energía</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <!-- Visualización del PDF -->
                <embed src="<?= base_url('documents/trabajo_energia.pdf') ?>" 
                       type="application/pdf" 
                       width="100%" 
                       height="500px" />
            </div>
            <div class="modal-footer">
                <a href="<?= base_url('documents/trabajo_energia.pdf') ?>" 
                   class="btn btn-primary" 
                   target="_blank">Descargar PDF</a>
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
            </div>
        </div>
    </div>
</div>
